View Issue Details

IDProjectCategoryView StatusLast Update
0004188SketcherBugpublic2020-01-15 19:13
Reporterchrisb Assigned Towmayer  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19Fixed in Version0.19 
Summary0004188: Editing a subtractive box in PartDesign doesn't show the shaded box
DescriptionWhen creating a new subtractive box in PartDesign a shaded box is shown:

When editing the box the shaded object is not always shown:
- It is not shown if the box is attached to a face and the box was visible when entering edit mode
- it is shown, if the previous feature is visible and the box is attached to a face
- it is shown, if the box is attached to a main plane

This was discussed in the german forum: Forum thread
TagsNo tags attached.
FreeCAD InformationOS: macOS High Sierra (10.13)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.18644 (Git)
Build type: Release
Branch: master
Hash: 481870be2b48ef95b59acf1440b069d42b6fad23
Python version: 3.7.3
Qt version: 5.12.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/Germany (en_DE)

Activities

wmayer

2020-01-15 00:34

administrator   ~0014076

Fix committed to master branch.

Kunda1

2020-01-15 19:13

administrator   ~0014077

Last edited: 2020-01-15 19:13

View 2 revisions

Hmm..for some reason the Source Integration plugin isn't setting the 'Fixed in' field to 0.19 ... ? I've seen this happen a few times now. Fixed this manually

Related Changesets

FreeCAD: master bff7369e

2020-01-15 00:33:28

wmayer

Details Diff
fixes 0004188: Editing a subtractive box in PartDesign doesn't show the shaded box Affected Issues
0004188
mod - src/Mod/Part/Gui/TaskAttacher.cpp Diff File
mod - src/Mod/Part/Gui/TaskAttacher.h Diff File
mod - src/Mod/PartDesign/Gui/TaskPrimitiveParameters.cpp Diff File

FreeCAD: master 25b3cfc1

2020-01-15 09:00:47

wmayer

Details Diff
issue 0004188: Editing a subtractive box in PartDesign doesn't show the shaded box Affected Issues
0004188
mod - src/Mod/Part/Gui/TaskAttacher.cpp Diff File
mod - src/Mod/Part/Gui/TaskAttacher.h Diff File
mod - src/Mod/PartDesign/Gui/TaskPrimitiveParameters.cpp Diff File

Issue History

Date Modified Username Field Change
2019-11-06 22:52 chrisb New Issue
2020-01-11 12:42 Kunda1 Description Updated View Revisions
2020-01-11 12:42 Kunda1 Status new => confirmed
2020-01-11 12:42 Kunda1 Target Version => 0.19
2020-01-15 00:34 wmayer Changeset attached => FreeCAD master bff7369e
2020-01-15 00:34 wmayer Note Added: 0014076
2020-01-15 00:34 wmayer Assigned To => wmayer
2020-01-15 00:34 wmayer Status confirmed => closed
2020-01-15 00:34 wmayer Resolution open => fixed
2020-01-15 09:01 wmayer Changeset attached => FreeCAD master 25b3cfc1
2020-01-15 19:13 Kunda1 Fixed in Version => 0.19
2020-01-15 19:13 Kunda1 Note Added: 0014077
2020-01-15 19:13 Kunda1 Note Edited: 0014077 View Revisions